Skip to main content
PATCH
/
subaccounts
/
accounts
/
{subaccountId}
Update an existing subaccount
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fees": [
    {
      "type": "ADVISORY",
      "rate": 0.01,
      "startDate": "2023-12-01"
    }
  ]
}
'
{
  "data": {
    "subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

Body

application/json

Details of the subaccount to open for the customer

beneficiaryGroup
Beneficiary · object[]
contingencyBeneficiaryGroup
Beneficiary · object[]
fees
UpdateFeeDetailType · object[]

List of fees to be update

programSignerGroup
ProgramSigner · object[]

Response

Successfully updated the subaccount

data
SubaccountIdResponse · object
required